<?php

namespace App\Http\Controllers;

use App\domain\travelport\QueryCalendarPrice;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class CalendarPriceController extends Controller
{
    public function index(Request $request, QueryCalendarPrice $queryCalendarPrice): JsonResponse
    {
        $from = $request->input('from');
        $to = $request->input('to');

        $response = $queryCalendarPrice->execute($from, $to);

        return response()->json([
            'price_list' => $response
        ]);
    }
}
