<?php

namespace App\domain\travelport;

use GuzzleHttp\Client;

class TravelportAPI
{
    protected Client $client;
    protected string $baseURL;
    protected string $apiVersion;

    public function __construct()
    {
        $caCertPath = base_path('cacert.pem');

        $this->client = new Client([
            'verify' => $caCertPath,
        ]);

        $this->baseURL = "api.pp.travelport.com";
        $this->apiVersion = "11";
    }

}
